Bug 3084

Summary: small threads priority of Netbeans ide on running or debugging Classes
Product: debugger Reporter: pzajac <pzajac>
Component: CodeAssignee: pzajac <pzajac>
Status: CLOSED WONTFIX QA Contact: issues <issues.netbeans.org>
Priority: P1 CC:
Version: 3.x   
Target Milestone: TBD   
Hardware: All   
OS: All   
Whiteboard:
Issue Type: DEFECT Exception Report:

Description pzajac 1999-08-04 00:07:26 UTC
1. I create class with infinity loop .
In loop is printing on stdout (System.out.println(" ...
If I run or go In debug then I cannot use Ide (Menu explorer) beacouse they are very slow

[pz]Why As design?

[Hanz] We can try to decrease the priority of threads.

[Dan] Such a loop is an insatiate CPU time consumer.

[IAN] In the ideal case, the IDE should survive even such things, will reevaluate for the next version
Comment 1 Jan Stola 2000-07-27 16:07:59 UTC
Verified in Build 2011.
Comment 2 Quality Engineering 2003-07-02 16:00:33 UTC
Resolved for 3.4.x or earlier, no new info since then -> closing.
By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo